GCLOUD_INIT(1)

NAME

gcloud init - initialize or reinitialize gcloud

SYNOPSIS

gcloud init [--console-only] [GLOBAL-FLAG ...]

DESCRIPTION
Initialize or reinitialize gcloud. gcloud init launches an interactive Getting Started workflow for gcloud. It replaces gcloud auth login as the recommended command to execute after you install the Cloud SDK. gcloud init performs the following setup steps:

    •   Authorizes gcloud and other SDK tools to access Google Cloud Platform using your user account credentials, or lets you select from accounts whose credentials are already available. gcloud init uses the same browser-based authorization flow as gcloud auth login.

    •   Sets properties in a gcloud configuration, including the current project and the default Google Compute Engine region and zone.
Most users run gcloud init to get started with gcloud. You can use subsequent gcloud init invocations to create new gcloud configurations or to reinitialize existing configurations. See gcloud topic configurations for additional information. Properties set by gcloud init are local and persistent. They are not affected by remote changes to your project. For instance, the default Compute Engine zone in your configuration remains stable, even if you or another user changes the project-level default zone in the Cloud Platform Console. You can resync your configuration at any time by rerunning gcloud init. (Available since version 0.9.79. Run $ gcloud --version to see which version you are running.)

FLAGS
--console-only
    Prevent the command from launching a browser for authorization.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.